Subject: Re: [PATCH] phy/marvell: Add special settings for D-Link DNS-323 rev C1

From: Wolfram Sang <[email-masked]>
Date: Mon, 17 May 2010 14:00:32 +0200

> The problem is that the fixups are called -after- the config_init()
> callback of the PHY driver. However, the marvell m88e1118 PHY driver
> will unconditionally reset the LEDs setting.

Haven't checked, just an idea: Is it possible to change the init of the driver
to use Read-Modify-Write and thus keep your settings?

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |